#ifndef IO_HPP
#define IO_HPP

#include <string>

class Instance;
class Solution;

struct ProgramState{
public:
  void reset() {
    if (instance != nullptr)
      instance = nullptr;

    if (solution != nullptr)
      solution = nullptr;

    background_filename="";
    font_desc = "";
  }


	Instance*instance = nullptr;
	Solution*solution = nullptr;
	std::string background_filename = "";
	std::string font_desc = "";
};



void save(const std::string&file_name, const ProgramState&state);
bool load(const std::string&file_name, ProgramState&);
bool load_cl(const std::string&file_name, ProgramState&);

#endif

